from ble_uart import BleUart
from machine import Pin
from gpb import delay,LED

ble = BleUart( 0 , 115200 )
delay(200)
ble.cmd_AT()
ble.set_device_name('lynn')
print(ble.read_device_name())
led = Pin ( 2, Pin.OUT)

is_connected_state = False

def check_status(cmd):    # Check ble connected or disconnected
    global is_connected_state
    if cmd == 'SYSTEM-ECHO=CONNECTED OK\r\n':
        ble.data_mode_entry()
        is_connected_state = True
    elif cmd == 'SYSTEM-ECHO=DISCONNECTED OK\r\n':
        ble.cmd_mode_entry()
        is_connected_state = False

while True:
    cmd = str(ble.read(30), 'utf-8').strip('\0')
    if cmd != '':
        print(cmd)
        check_status(cmd)
        if is_connected_state == True:
            if cmd == 'on':
                led.on()
                ble.write('LED ON')
            elif cmd == 'off':
                led.off()
                ble.write('LED OFF')
    delay(100)