import utime
from machine import I2C          # 從 machine 模組匯入i2c類別
from gpb import delay
from i2c_lcd import I2cLcd       # 從 i2c_lcd 模組匯入 i2c_lcd 類別
from lcd_api import LcdApi       # 從 lcd_api 模組匯入 lcd_api 類別

I2C_ADDR = 0x27                  # 設定 i2c address
I2C_NUM_ROWS = 2                 # 預設 2 行
I2C_NUM_COLS = 16                # 預設 16 字元

i2c = I2C(scl='C0', sda='C1', freq=400000)              # 設定 i2c 腳位
lcd = I2cLcd(i2c, I2C_ADDR, I2C_NUM_ROWS, I2C_NUM_COLS) # 設定模組相關參數

def boot():
    print("--booting--")
    lcd.putstr("MediaWave!")
    utime.sleep(2)
    lcd.clear()
    
def play():
    print("--playing--")
    lcd.blink_cursor_on()
    lcd.move_to(0,0)
    lcd.putstr("party time!!")
    lcd.blink_cursor_off()

lcd.clear()         # 清除畫面
lcd.putstr("hello") # 輸出文字
lcd.move_to(1,1)    # 移到第一格第一行
lcd.putstr("let's party")