import utime
from machine import I2C          # 從 machine 模組匯入i2c類別
from sensor import DHT11
from gpb import delay
from i2c_lcd import I2cLcd       # 從 i2c_lcd 模組匯入 i2c_lcd 類別
from lcd_api import LcdApi       # 從 lcd_api 模組匯入 lcd_api 類別

I2C_ADDR = 0x27                  # 設定 i2c address
I2C_NUM_ROWS = 2                 # 預設 2 行
I2C_NUM_COLS = 16                # 預設 16 字元

i2c = I2C(scl='C0', sda='C1', freq=400000)              # 設定 i2c 腳位
lcd = I2cLcd(i2c, I2C_ADDR, I2C_NUM_ROWS, I2C_NUM_COLS) # 設定模組相關參

dht = DHT11(1)

while True:
    lcd.putstr("TEM:" + str(dht.temperature()))
    lcd.move_to(0,1)
    lcd.putstr("HUM:" + str(dht.humidity()))
    delay(2000)
    lcd.clear()
    